Bug 1733249 - Restore from snapshot failed - WFLYWELD0039: Singleton not set for ModuleClassLoader
Summary: Restore from snapshot failed - WFLYWELD0039: Singleton not set for ModuleClas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.3.5.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.3.6
: ---
Assignee: Tal Nisan
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 14:07 UTC by Evelina Shames
Modified: 2019-09-26 19:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 19:43:38 UTC
oVirt Team: Storage
pm-rhel: ovirt-4.3+


Attachments (Terms of Use)
Logs (16.24 MB, application/zip)
2019-07-25 14:07 UTC, Evelina Shames
no flags Details

Description Evelina Shames 2019-07-25 14:07:37 UTC
Created attachment 1593421 [details]
Logs

Description of problem:
RestoreFromSnapshot Command ended with failure with the following errors:

engine log:
2019-07-20 09:41:50,193+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand] (Transaction Reaper Worker 1) [] Transaction rolled-back for command 'org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand'.
2019-07-20 09:41:50,465+03 ERROR [org.ovirt.engine.core.vdsbroker.ResourceManager] (EE-ManagedThreadFactory-engine-Thread-34340) [] createCommand failed: WFLYWELD0039: Singleton not set for ModuleClassLoader for Module "org.jboss.as.transactions" version 7.2.2.GA-redhat-00001 from local module loader @5f150435 (finder: local module finder @1c53fd30 (roots: /usr/share/ovirt-engine/modules/common,/usr/share/ovirt-engine-extension-aaa-jdbc/modules,/usr/share/ovirt-engine-extension-aaa-ldap/modules,/opt/rh/eap7/root/usr/share/wildfly/modules,/opt/rh/eap7/root/usr/share/wildfly/modules/system/layers/base)). This means that you are trying to access a weld deployment with a Thread Context ClassLoader that is not associated with the deployment.
2019-07-20 09:41:50,486+03 ERROR [org.ovirt.engine.core.bll.tasks.SPMAsyncTask] (EE-ManagedThreadFactory-engine-Thread-34340) [] SPMAsyncTask::StopTask: Error during stopping task 'a57e37d3-cb24-4deb-b9a4-736ffcf1baf2': null
2019-07-20 09:41:52,234+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand] (default task-92) [vms_syncAction_edfd2532-2e09-4541] Command 'org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand' failed: Current transaction is marked for rollback, no further operations are possible or desired
2019-07-20 09:41:52,238+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand] (default task-92) [vms_syncAction_edfd2532-2e09-4541] Exception: javax.ejb.TransactionRolledbackLocalException: Current transaction is marked for rollback, no further operations are possible or desired
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:92) [utils.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand.performImageVdsmOperation(RestoreFromSnapshotCommand.java:126) [bll.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand.removeImages(RestoreFromSnapshotCommand.java:84) [bll.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreFromSnapshotCommand.executeCommand(RestoreFromSnapshotCommand.java:57) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1157) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1315) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1964) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:139) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:105) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1375) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:419) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:451) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:433) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:639) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor717.invoke(Unknown Source) [:1.8.0_222-ea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_222-ea]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_222-ea]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:509)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:78)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:88)
        at org.jboss.as.weld.interceptors.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:101)
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45) [wildfly-ee-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:40)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:53)
        at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInCallerTx(CMTTxInterceptor.java:185) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:420) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:148) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:509)
        at org.jboss.weld.module.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:72) [weld-ejb.jar:3.0.6.Final-redhat-00001]
        at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:89)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:47) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:67) [wildfly-ejb3-7.2.2.GA-redhat-00001.jar:7.2.2.GA-redhat-00001]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:60)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:438)
        at org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:619)
        at org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:57)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:422)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:53)
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:81)
        at org.ovirt.engine.core.bll.interfaces.BackendInternal$$$view3.runInternalAction(Unknown Source) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor716.invoke(Unknown Source) [:1.8.0_222-ea]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_222-ea]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_222-ea]
        at org.jboss.weld.util.reflection.Reflections.invokeAndUnwrap(Reflections.java:410) [weld-core-impl.jar:3.0.6.Final-redhat-00001]
        at org.jboss.weld.module.ejb.EnterpriseBeanProxyMethodHandler.invoke(EnterpriseBeanProxyMethodHandler.java:134) [weld-ejb.jar:3.0.6.Final-redhat-00001]
        at org.jboss.weld.bean.proxy.EnterpriseTargetBeanInstance.invoke(EnterpriseTargetBeanInstance.java:56) [weld-core-impl.jar:3.0.6.Final-redhat-00001]
        at org.jboss.weld.module.ejb.InjectionPointPropagatingEnterpriseTargetBeanInstance.invoke(InjectionPointPropagatingEnterpriseTargetBeanInstance.java:68) [weld-ejb.jar:3.0.6.Final-redhat-00001]
        at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:106) [weld-core-impl.jar:3.0.6.Final-redhat-00001]
        at org.ovirt.engine.core.bll.BackendCommandObjectsHandler$BackendInternal$BackendLocal$2049259618$Proxy$_$$_Weld$EnterpriseProxy$.runInternalAction(Unknown Source) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalAction(CommandBase.java:2354) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalActionWithTasksContext(CommandBase.java:2379) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalActionWithTasksContext(CommandBase.java:2374) [bll.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand.runAsyncTask(RestoreAllSnapshotsCommand.java:516) [bll.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand.executeVmCommand(RestoreAllSnapshotsCommand.java:172) [bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:172) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1157) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1315) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1964) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:202) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:137) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:105) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1375) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:419) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:451) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:433) [bll.jar:]
.
.
.
2019-07-20 09:42:01,546+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand] (default task-92) [vms_syncAction_edfd2532-2e09-4541] Command 'org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand' failed: Failed to obtain JDBC Connection; nested exception is java.sql.SQLException: javax.resource.ResourceException: IJ000457: Unchecked throwable in managedConnectionReconnected() cl=org.jboss.jca.core.connectionmanager.listener.TxConnectionListener@5b8a86f2[state=DESTROYED managed connection=org.jboss.jca.adapters.jdbc.local.LocalManagedConnection@3785db9b connection handles=0 lastReturned=1563604920920 lastValidated=1563604539081 lastCheckedOut=1563604920777 trackByTx=false pool=org.jboss.jca.core.connectionmanager.pool.strategy.OnePool@74e62ec7 mcp=SemaphoreConcurrentLinkedQueueManagedConnectionPool@264bfa6f[pool=ENGINEDataSource] xaResource=LocalXAResourceImpl@397ca4c7[connectionListener=5b8a86f2 connectionManager=3fa448b1 warned=false currentXid=null productName=PostgreSQL productVersion=10.6 jndiName=java:/ENGINEDataSource] txSync=null]
2019-07-20 09:42:01,553+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand] (default task-92) [vms_syncAction_edfd2532-2e09-4541] Exception: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is java.sql.SQLException: javax.resource.ResourceException: IJ000457: Unchecked throwable in managedConnectionReconnected() cl=org.jboss.jca.core.connectionmanager.listener.TxConnectionListener@5b8a86f2[state=DESTROYED managed connection=org.jboss.jca.adapters.jdbc.local.LocalManagedConnection@3785db9b connection handles=0 lastReturned=1563604920920 lastValidated=1563604539081 lastCheckedOut=1563604920777 trackByTx=false pool=org.jboss.jca.core.connectionmanager.pool.strategy.OnePool@74e62ec7 mcp=SemaphoreConcurrentLinkedQueueManagedConnectionPool@264bfa6f[pool=ENGINEDataSource] xaResource=LocalXAResourceImpl@397ca4c7[connectionListener=5b8a86f2 connectionManager=3fa448b1 warned=false currentXid=null productName=PostgreSQL productVersion=10.6 jndiName=java:/ENGINEDataSource] txSync=null]
        at org.springframework.jdbc.datasource.DataSourceUtils.getConnection(DataSourceUtils.java:81) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:600) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:657) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:688) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:741) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.ovirt.engine.core.dal.dbbroker.PostgresDbEngineDialect$PostgresSimpleJdbcCall.executeCallInternal(PostgresDbEngineDialect.java:152) [dal.jar:]
        at org.ovirt.engine.core.dal.dbbroker.PostgresDbEngineDialect$PostgresSimpleJdbcCall.doExecute(PostgresDbEngineDialect.java:118) [dal.jar:]
        at org.springframework.jdbc.core.simple.SimpleJdbcCall.execute(SimpleJdbcCall.java:198) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.ovirt.engine.core.dal.dbbroker.SimpleJdbcCallsHandler.executeImpl(SimpleJdbcCallsHandler.java:135) [dal.jar:]
        at org.ovirt.engine.core.dal.dbbroker.SimpleJdbcCallsHandler.executeReadList(SimpleJdbcCallsHandler.java:105) [dal.jar:]
        at org.ovirt.engine.core.dao.DiskImageDaoImpl.getAllSnapshotsForVmSnapshot(DiskImageDaoImpl.java:91) [dal.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand.removeUnusedImages(RestoreAllSnapshotsCommand.java:466) [bll.jar:]
        at org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand.executeVmCommand(RestoreAllSnapshotsCommand.java:183) [bll.jar:]
        at org.ovirt.engine.core.bll.VmCommand.executeCommand(VmCommand.java:172) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1157) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1315) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1964) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:202) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:137) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:105) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1375) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:419) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:451) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:433) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:388) [bll.jar:]
        at sun.reflect.GeneratedMethodAccessor1085.invoke(Unknown Source) [:1.8.0_222-ea]
.
.
.
aused by: java.sql.SQLException: javax.resource.ResourceException: IJ000457: Unchecked throwable in managedConnectionReconnected() cl=org.jboss.jca.core.connectionmanager.listener.TxConnectionListener@5b8a86f2[state=DESTROYED managed connection=org.jboss.jca.adapters.jdbc.local.LocalManagedConnection@3785db9b connection handles=0 lastReturned=1563604920920 lastValidated=1563604539081 lastCheckedOut=1563604920777 trackByTx=false pool=org.jboss.jca.core.connectionmanager.pool.strategy.OnePool@74e62ec7 mcp=SemaphoreConcurrentLinkedQueueManagedConnectionPool@264bfa6f[pool=ENGINEDataSource] xaResource=LocalXAResourceImpl@397ca4c7[connectionListener=5b8a86f2 connectionManager=3fa448b1 warned=false currentXid=null productName=PostgreSQL productVersion=10.6 jndiName=java:/ENGINEDataSource] txSync=null]
        at org.jboss.jca.adapters.jdbc.WrapperDataSource.getConnection(WrapperDataSource.java:159)
        at org.jboss.as.connector.subsystems.datasources.WildFlyDataSource.getConnection(WildFlyDataSource.java:64)
        at org.springframework.jdbc.datasource.DataSourceUtils.fetchConnection(DataSourceUtils.java:151) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.datasource.DataSourceUtils.doGetConnection(DataSourceUtils.java:115) [spring-jdbc.jar:5.0.4.RELEASE]
        at org.springframework.jdbc.datasource.DataSourceUtils.getConnection(DataSourceUtils.java:78) [spring-jdbc.jar:5.0.4.RELEASE]
        ... 216 more
Caused by: javax.resource.ResourceException: IJ000457: Unchecked throwable in managedConnectionReconnected() cl=org.jboss.jca.core.connectionmanager.listener.TxConnectionListener@5b8a86f2[state=DESTROYED managed connection=org.jboss.jca.adapters.jdbc.local.LocalManagedConnection@3785db9b connection handles=0 lastReturned=1563604920920 lastValidated=1563604539081 lastCheckedOut=1563604920777 trackByTx=false pool=org.jboss.jca.core.connectionmanager.pool.strategy.OnePool@74e62ec7 mcp=SemaphoreConcurrentLinkedQueueManagedConnectionPool@264bfa6f[pool=ENGINEDataSource] xaResource=LocalXAResourceImpl@397ca4c7[connectionListener=5b8a86f2 connectionManager=3fa448b1 warned=false currentXid=null productName=PostgreSQL productVersion=10.6 jndiName=java:/ENGINEDataSource] txSync=null]
        at org.jboss.jca.core.connectionmanager.AbstractConnectionManager.reconnectManagedConnection(AbstractConnectionManager.java:1055)
        at org.jboss.jca.core.connectionmanager.AbstractConnectionManager.allocateConnection(AbstractConnectionManager.java:792)
        at org.jboss.jca.adapters.jdbc.WrapperDataSource.getConnection(WrapperDataSource.java:151)
        ... 220 more
Caused by: javax.resource.ResourceException: IJ000461: Could not enlist in transaction on entering meta-aware object
        at org.jboss.jca.core.connectionmanager.tx.TxConnectionManagerImpl.managedConnectionReconnected(TxConnectionManagerImpl.java:571)
        at org.jboss.jca.core.connectionmanager.AbstractConnectionManager.reconnectManagedConnection(AbstractConnectionManager.java:977)
        ... 222 more
Caused by: java.lang.IllegalStateException: Transaction Local transaction (delegate=TransactionImple < ac, BasicAction: 0:ffff0a23a121:27141189:5d3129c6:2fada status: ActionStatus.ABORTED >, owner=Local transaction context for provider JBoss JTA transaction provider) is not active STATUS_ROLLEDBACK
        at org.jboss.jca.core.connectionmanager.listener.TxConnectionListener.enlist(TxConnectionListener.java:296)
        at org.jboss.jca.core.connectionmanager.tx.TxConnectionManagerImpl.managedConnectionReconnected(TxConnectionManagerImpl.java:564)
        ... 223 more
2019-07-20 09:42:04,294+03 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-92) [vms_syncAction_edfd2532-2e09-4541] EVENT_ID: USER_UNDO_RESTORE_FROM_SNAPSHOT_FINISH_FAILURE(652), Failed to undo Snapshot-Preview for VM vm_TestCase6038_2006491689.
2019-07-20 09:42:04,620+03 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (default task-92) [] Operation Failed: [Internal Engine Error]
2019-07-20 09:42:05,952+03 ERROR [org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand] (EE-ManagedThreadFactory-engineScheduled-Thread-97) [vms_syncAction_edfd2532-2e09-4541] Ending command 'org.ovirt.engine.core.bll.snapshots.RestoreAllSnapshotsCommand' with failure.



Version-Release number of selected component (if applicable):


How reproducible:
twice (2 automation cases, couldn't manage to reproduce manually)

Steps to Reproduce: (test steps)
1. Create a VM with 4 disks and OS installed
2. Write file 1 to all disks
3. Create a snapshot of the VM with all disks
4. Write file 2 to all disks
5. Create a snapshot 2 of the VM with all disks
6. Write file 3 to all disks
7. Create snapshot 3 fo the VM with all disks
8. Delete snapshot 2
9. Preview snapshot 3
10. Undo preview

Actual results:
Operation failed

Expected results:
Operation should succeed


Additional info:
Relevant logs are attached

Comment 1 Tal Nisan 2019-08-12 14:41:01 UTC
Benny, didn't we fix a similar bug lately by starting a new transaction?

Comment 2 Benny Zlotnik 2019-08-12 14:56:58 UTC
(In reply to Tal Nisan from comment #1)
> Benny, didn't we fix a similar bug lately by starting a new transaction?

yeah, looks like this one: bug 1590218

Comment 3 Tal Nisan 2019-08-19 14:06:48 UTC
Evelina, can you please verify? According to comment #2 we fixed it, info can be found in bug 1590218

Comment 4 Evelina Shames 2019-08-27 13:13:55 UTC
The issue doesn't reproduce -> moving to verified.

Verified on:
ovirt-engine-4.3.6-0.1.el7.noarch
vdsm-4.30.25-1.el7ev.x86_64

Comment 5 Sandro Bonazzola 2019-09-26 19:43:38 UTC
This bugzilla is included in oVirt 4.3.6 release, published on September 26th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.6 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.